CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2010-1170

The PL/Tcl implementation in PostgreSQL 7.4 before 7.4.29, 8.0 before 8.0.25, 8.1 before 8.1.21, 8.2 before 8.2.17, 8.3 before 8.3.11, 8.4 before 8.4.4, and 9.0 Beta before 9.0 Beta 2 loads Tcl code from the pltcl_modules table regardless of the table's ownership and permissions, which allows remote authenticated users, with database-creation privileges, to execute arbitrary Tcl code by creating this table and inserting a crafted Tcl script.
Publish Date : 2010-05-19 Last Update Date : 2017-09-18
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.0
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Single system (The vulnerability requires an attacker to be logged into the system (such as at a command line or via a desktop session or web interface).)
Gained Access None
Vulnerability Type(s) Execute Code
CWE ID 264

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat moderate
4.9
AV:A/AC:M/Au:S/C:P/I:P/A:P 2010-04-15 2010-05-17
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2010-1170 oval:org.opensuse.security:def:20101170 unix
DEPRECATED: ELSA-2010-0430 -- postgresql84 security update (moderate) oval:org.mitre.oval:def:28185 unix
DEPRECATED: ELSA-2010-0429 -- postgresql security update (moderate) oval:org.mitre.oval:def:27970 unix
DSA-2051 postgresql-8.3 -- several vulnerabilities oval:org.mitre.oval:def:11655 unix
DSA-2051-1 postgresql-8.3 -- several oval:org.mitre.oval:def:13636 unix
ELSA-2010:0429: postgresql security update (Moderate) oval:org.mitre.oval:def:22939 unix
ELSA-2010:0430: postgresql84 security update (Moderate) oval:org.mitre.oval:def:23110 unix
RHSA-2010:0427: postgresql security update (Moderate) oval:com.redhat.rhsa:def:20100427 unix
RHSA-2010:0428: postgresql security update (Moderate) oval:com.redhat.rhsa:def:20100428 unix
RHSA-2010:0429: postgresql security update (Moderate) oval:org.mitre.oval:def:21774 unix
RHSA-2010:0429: postgresql security update (Moderate) oval:com.redhat.rhsa:def:20100429 unix
RHSA-2010:0430: postgresql84 security update (Moderate) oval:org.mitre.oval:def:22142 unix
RHSA-2010:0430: postgresql84 security update (Moderate) oval:com.redhat.rhsa:def:20100430 unix
The PL/Tcl implementation in PostgreSQL 7.4 before 7.4.29, 8.0 before 8.0.25, 8.1 before 8.1.21, 8.2 before 8.2.17, 8.3 ... oval:org.mitre.oval:def:10510 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2010-1170

# Product Type Vendor Product Version Update Edition Language
1 Application Postgresql Postgresql 7.4 Version Details Vulnerabilities
2 Application Postgresql Postgresql 7.4.1 Version Details Vulnerabilities
3 Application Postgresql Postgresql 7.4.2 Version Details Vulnerabilities
4 Application Postgresql Postgresql 7.4.3 Version Details Vulnerabilities
5 Application Postgresql Postgresql 7.4.4 Version Details Vulnerabilities
6 Application Postgresql Postgresql 7.4.5 Version Details Vulnerabilities
7 Application Postgresql Postgresql 7.4.6 Version Details Vulnerabilities
8 Application Postgresql Postgresql 7.4.7 Version Details Vulnerabilities
9 Application Postgresql Postgresql 7.4.8 Version Details Vulnerabilities
10 Application Postgresql Postgresql 7.4.9 Version Details Vulnerabilities
11 Application Postgresql Postgresql 7.4.10 Version Details Vulnerabilities
12 Application Postgresql Postgresql 7.4.11 Version Details Vulnerabilities
13 Application Postgresql Postgresql 7.4.12 Version Details Vulnerabilities
14 Application Postgresql Postgresql 7.4.13 Version Details Vulnerabilities
15 Application Postgresql Postgresql 7.4.14 Version Details Vulnerabilities
16 Application Postgresql Postgresql 7.4.15 Version Details Vulnerabilities
17 Application Postgresql Postgresql 7.4.16 Version Details Vulnerabilities
18 Application Postgresql Postgresql 7.4.17 Version Details Vulnerabilities
19 Application Postgresql Postgresql 7.4.18 Version Details Vulnerabilities
20 Application Postgresql Postgresql 7.4.19 Version Details Vulnerabilities
21 Application Postgresql Postgresql 7.4.20 Version Details Vulnerabilities
22 Application Postgresql Postgresql 7.4.21 Version Details Vulnerabilities
23 Application Postgresql Postgresql 7.4.22 Version Details Vulnerabilities
24 Application Postgresql Postgresql 7.4.23 Version Details Vulnerabilities
25 Application Postgresql Postgresql 7.4.24 Version Details Vulnerabilities
26 Application Postgresql Postgresql 7.4.25 Version Details Vulnerabilities
27 Application Postgresql Postgresql 7.4.26 Version Details Vulnerabilities
28 Application Postgresql Postgresql 7.4.27 Version Details Vulnerabilities
29 Application Postgresql Postgresql 7.4.28 Version Details Vulnerabilities
30 Application Postgresql Postgresql 8.0 Version Details Vulnerabilities
31 Application Postgresql Postgresql 8.0.0 Version Details Vulnerabilities
32 Application Postgresql Postgresql 8.0.1 Version Details Vulnerabilities
33 Application Postgresql Postgresql 8.0.2 Version Details Vulnerabilities
34 Application Postgresql Postgresql 8.0.3 Version Details Vulnerabilities
35 Application Postgresql Postgresql 8.0.4 Version Details Vulnerabilities
36 Application Postgresql Postgresql 8.0.5 Version Details Vulnerabilities
37 Application Postgresql Postgresql 8.0.6 Version Details Vulnerabilities
38 Application Postgresql Postgresql 8.0.7 Version Details Vulnerabilities
39 Application Postgresql Postgresql 8.0.8 Version Details Vulnerabilities
40 Application Postgresql Postgresql 8.0.9 Version Details Vulnerabilities
41 Application Postgresql Postgresql 8.0.10 Version Details Vulnerabilities
42 Application Postgresql Postgresql 8.0.11 Version Details Vulnerabilities
43 Application Postgresql Postgresql 8.0.12 Version Details Vulnerabilities
44 Application Postgresql Postgresql 8.0.13 Version Details Vulnerabilities
45 Application Postgresql Postgresql 8.0.14 Version Details Vulnerabilities
46 Application Postgresql Postgresql 8.0.15 Version Details Vulnerabilities
47 Application Postgresql Postgresql 8.0.16 Version Details Vulnerabilities
48 Application Postgresql Postgresql 8.0.17 Version Details Vulnerabilities
49 Application Postgresql Postgresql 8.0.18 Version Details Vulnerabilities
50 Application Postgresql Postgresql 8.0.19 Version Details Vulnerabilities
51 Application Postgresql Postgresql 8.0.20 Version Details Vulnerabilities
52 Application Postgresql Postgresql 8.0.21 Version Details Vulnerabilities
53 Application Postgresql Postgresql 8.0.22 Version Details Vulnerabilities
54 Application Postgresql Postgresql 8.0.23 Version Details Vulnerabilities
55 Application Postgresql Postgresql 8.0.24 Version Details Vulnerabilities
56 Application Postgresql Postgresql 8.1 Version Details Vulnerabilities
57 Application Postgresql Postgresql 8.1.0 Version Details Vulnerabilities
58 Application Postgresql Postgresql 8.1.1 Version Details Vulnerabilities
59 Application Postgresql Postgresql 8.1.2 Version Details Vulnerabilities
60 Application Postgresql Postgresql 8.1.3 Version Details Vulnerabilities
61 Application Postgresql Postgresql 8.1.4 Version Details Vulnerabilities
62 Application Postgresql Postgresql 8.1.5 Version Details Vulnerabilities
63 Application Postgresql Postgresql 8.1.6 Version Details Vulnerabilities
64 Application Postgresql Postgresql 8.1.7 Version Details Vulnerabilities
65 Application Postgresql Postgresql 8.1.8 Version Details Vulnerabilities
66 Application Postgresql Postgresql 8.1.9 Version Details Vulnerabilities
67 Application Postgresql Postgresql 8.1.10 Version Details Vulnerabilities
68 Application Postgresql Postgresql 8.1.11 Version Details Vulnerabilities
69 Application Postgresql Postgresql 8.1.12 Version Details Vulnerabilities
70 Application Postgresql Postgresql 8.1.13 Version Details Vulnerabilities
71 Application Postgresql Postgresql 8.1.14 Version Details Vulnerabilities
72 Application Postgresql Postgresql 8.1.15 Version Details Vulnerabilities
73 Application Postgresql Postgresql 8.1.16 Version Details Vulnerabilities
74 Application Postgresql Postgresql 8.1.17 Version Details Vulnerabilities
75 Application Postgresql Postgresql 8.1.18 Version Details Vulnerabilities
76 Application Postgresql Postgresql 8.1.19 Version Details Vulnerabilities
77 Application Postgresql Postgresql 8.1.20 Version Details Vulnerabilities
78 Application Postgresql Postgresql 8.2 Version Details Vulnerabilities
79 Application Postgresql Postgresql 8.2.1 Version Details Vulnerabilities
80 Application Postgresql Postgresql 8.2.2 Version Details Vulnerabilities
81 Application Postgresql Postgresql 8.2.3 Version Details Vulnerabilities
82 Application Postgresql Postgresql 8.2.4 Version Details Vulnerabilities
83 Application Postgresql Postgresql 8.2.5 Version Details Vulnerabilities
84 Application Postgresql Postgresql 8.2.6 Version Details Vulnerabilities
85 Application Postgresql Postgresql 8.2.7 Version Details Vulnerabilities
86 Application Postgresql Postgresql 8.2.8 Version Details Vulnerabilities
87 Application Postgresql Postgresql 8.2.9 Version Details Vulnerabilities
88 Application Postgresql Postgresql 8.2.10 Version Details Vulnerabilities
89 Application Postgresql Postgresql 8.2.11 Version Details Vulnerabilities
90 Application Postgresql Postgresql 8.2.12 Version Details Vulnerabilities
91 Application Postgresql Postgresql 8.2.13 Version Details Vulnerabilities
92 Application Postgresql Postgresql 8.2.14 Version Details Vulnerabilities
93 Application Postgresql Postgresql 8.2.15 Version Details Vulnerabilities
94 Application Postgresql Postgresql 8.2.16 Version Details Vulnerabilities
95 Application Postgresql Postgresql 8.3 Version Details Vulnerabilities
96 Application Postgresql Postgresql 8.3.1 Version Details Vulnerabilities
97 Application Postgresql Postgresql 8.3.2 Version Details Vulnerabilities
98 Application Postgresql Postgresql 8.3.3 Version Details Vulnerabilities
99 Application Postgresql Postgresql 8.3.4 Version Details Vulnerabilities
100 Application Postgresql Postgresql 8.3.5 Version Details Vulnerabilities
101 Application Postgresql Postgresql 8.3.6 Version Details Vulnerabilities
102 Application Postgresql Postgresql 8.3.7 Version Details Vulnerabilities
103 Application Postgresql Postgresql 8.3.8 Version Details Vulnerabilities
104 Application Postgresql Postgresql 8.3.9 Version Details Vulnerabilities
105 Application Postgresql Postgresql 8.3.10 Version Details Vulnerabilities
106 Application Postgresql Postgresql 8.4 Version Details Vulnerabilities
107 Application Postgresql Postgresql 8.4.1 Version Details Vulnerabilities
108 Application Postgresql Postgresql 8.4.2 Version Details Vulnerabilities
109 Application Postgresql Postgresql 8.4.3 Version Details Vulnerabilities
110 Application Postgresql Postgresql 9.0.0 Beta1 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Postgresql Postgresql 110

- References For CVE-2010-1170

http://www.openwall.com/lists/oss-security/2010/05/20/5
MLIST [oss-security] 20100520 CVE-2010-1974 reject request (dupe of CVE-2010-1168) and CVE-2010-1447 description modification request
http://www.vupen.com/english/advisories/2010/1221
VUPEN ADV-2010-1221
https://bugzilla.redhat.com/show_bug.cgi?id=583072 CONFIRM
http://www.vupen.com/english/advisories/2010/1207
VUPEN ADV-2010-1207
http://www.vupen.com/english/advisories/2010/1182
VUPEN ADV-2010-1182
http://www.vupen.com/english/advisories/2010/1198
VUPEN ADV-2010-1198
http://www.vupen.com/english/advisories/2010/1197
VUPEN ADV-2010-1197
http://www.vupen.com/english/advisories/2010/1167
VUPEN ADV-2010-1167
http://www.securityfocus.com/bid/40215
BID 40215 PostgreSQL Multiple Security Vulnerabilities Release Date:2012-07-02
http://www.securitytracker.com/id?1023987
SECTRACK 1023987
http://www.redhat.com/support/errata/RHSA-2010-0428.html
REDHAT RHSA-2010:0428
http://www.redhat.com/support/errata/RHSA-2010-0429.html
REDHAT RHSA-2010:0429
http://www.redhat.com/support/errata/RHSA-2010-0430.html
REDHAT RHSA-2010:0430
http://www.postgresql.org/support/security CONFIRM
http://www.postgresql.org/docs/current/static/release-8-4-4.html CONFIRM
http://www.mandriva.com/security/advisories?name=MDVSA-2010:103
MANDRIVA MDVSA-2010:103
http://lists.fedoraproject.org/pipermail/package-announce/2010-May/041591.html
FEDORA FEDORA-2010-8723
http://lists.opensuse.org/opensuse-security-announce/2010-08/msg00001.html
SUSE SUSE-SR:2010:014
http://marc.info/?l=bugtraq&m=134124585221119&w=2
HP SSRT100617
http://www.debian.org/security/2010/dsa-2051
DEBIAN DSA-2051
http://www.postgresql.org/docs/current/static/release-8-2-17.html CONFIRM
http://www.postgresql.org/docs/current/static/release-8-0-25.html CONFIRM
http://www.postgresql.org/docs/current/static/release-8-1-21.html CONFIRM
http://www.postgresql.org/about/news.1203 CONFIRM
http://www.redhat.com/support/errata/RHSA-2010-0427.html
REDHAT RHSA-2010:0427
http://www.postgresql.org/docs/current/static/release-8-3-11.html CONFIRM
http://www.postgresql.org/docs/current/static/release-7-4-29.html CONFIRM
http://lists.fedoraproject.org/pipermail/package-announce/2010-May/041579.html
FEDORA FEDORA-2010-8715
http://lists.fedoraproject.org/pipermail/package-announce/2010-May/041559.html
FEDORA FEDORA-2010-8696

- Metasploit Modules Related To CVE-2010-1170

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.